IntelliPhoto 0.7

Classes | Namespaces | Functions
IntelliTriangulation.h File Reference
`#include <QPoint>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | Triangle
| The Triangle struct holds the 3 vertices of a triangle. More...

## Namespaces
| IntelliTriangulation

## Functions
float | IntelliTriangulation::sign (QPoint &p1, QPoint &p2, QPoint &p3)
| A function to get the 2*area of a traingle, using its determinat. More...
bool | IntelliTriangulation::isInTriangle (Triangle &tri, QPoint &P)
| A function to check if a given point is in a triangle. More...
std::vector< Triangle > | IntelliTriangulation::calculateTriangles (std::vector< QPoint > polyPoints)
| A function to split a polygon in its spanning traingles by using Meisters Theorem of graph theory by clipping ears of a planar graph. More...
bool | IntelliTriangulation::isInPolygon (const std::vector< Triangle > &triangles, QPoint &point)
| A function to check if a point lies in a polygon by checking its spanning triangles. More...